1. Platform
Cold Mail Reseller
  • Cold Mail Reseller API Documentation
  • Users
    • Retrieve all users
      GET
    • Get User Details
      GET
    • Create User
      POST
    • Update User Details
      PUT
    • Delete User
      DELETE
  • Geo
    • Get Countries List
      GET
    • Get States of a Country
      GET
  • Domains
    • Renewal
      • Domain Renewal Overview
      • Get domain renewal pricing
      • Renew domain
      • Enable or disable domain auto-renew
    • Get Domains For User
      GET
    • Suggest Available Domains
      POST
    • Get Single Available Domain
      POST
    • Check If Workspace Exists
      POST
    • Add domain forwarding
      POST
    • Add email forwarding
      POST
    • Add Google Client ID to Domain
      POST
    • Remove domains
      DELETE
  • Dns
    • Get dns records for a domain
      GET
    • Adds dns record
      POST
    • Update dns records
      PUT
    • Delete dns records
      DELETE
  • Orders
    • Get Order Details
    • Get Order Status
    • Creates order json
    • Order mailboxes (json)
    • Process the Order
    • Create Order
    • Add mailboxes to a subscription
  • Mailboxes
    • Get mailboxes for user
    • Get mailbox details by id
    • Get Mailbox Admin Details
    • Update mailbox details
    • Remove mailbox
  • Subscriptions
    • 1+ Year Subscriptions
      • One Plus Year Subscription Overview
      • Subscription Recreation
    • Get All Subscriptions
    • Renew Subscriptions
    • Toggle Auto renewal
    • Cancel Subscription
  • Webhooks
    • Overview
    • Events
      • Mailbox Events
      • Prewarmup Events
      • Domain Events
      • Subscription Events
  • Export
    • Platform
      • Platform Exports API
      • Get Connected Platforms
        GET
      • Add Platform Credentials
        POST
      • Remove Platform Credential
        DELETE
      • Export Mailboxes
        GET
    • Re-export a mailbox (Oauth)
      POST
  • Pre-warmup
    • Sandbox
      • Sandbox Pre-Warmup Integration
      • [SANDBOX] - Get All Pre-Warmup Mailboxes
      • [SANDBOX] - Order Pre-Warmup Mailboxes
      • [SANDBOX] - Reset Pre-Warmup Data
    • Get All Pre-Warmup Mailboxes
    • Order Pre-Warmup Mailboxes
  • Get Wallet Details
    GET
  • Send error
    POST
  1. Platform

Get Connected Platforms

GET
/exports/platform-credentials
Returns the connection status for all supported apps for a given user.
An app is "connected" if at least one credential is stored via POST /platform-credential.

Query Parameters#

NameTypeRequiredDescriptionExample
userIdstringYesUnique identifier for the userBVZGM5TE9BMP3PP0VWGW943RGV1B

Notes#

Multiple credentials per platform are supported — each POST /platform-credential call adds a new entry.
connected: true does not guarantee the credentials are still valid on the platform side.

Request

Authorization
API Key
Add parameter in header
cmr-x-api-key
Example:
cmr-x-api-key: ********************
or
Query Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://customers.coldmailreseller.com/api/v1/integration/exports/platform-credentials?userId=BVZGM5TE9BMP3PP0VWGW943RGV1B' \
--header 'cmr-x-api-key: <api-key>'

Responses

🟢200Success
application/json
Bodyapplication/json

Examples
{
  "status": 200,
  "message": "Fetched connected accounts successfully",
  "data": {
    "EMAILBISON": {
      "connected": true,
      "credentials": [
        {
          "credentialId": "A1B2C3D4E5F6G7H8",
          "email": "john@agency.com",
          "connectedAt": "2024-05-01T10:00:00.000Z",
          "metadata": {
            "appBaseUrl": "https://app.emailbison.com",
            "appName": "EmailBison",
            "workspace": "my-workspace"
          }
        }
      ]
    }
  }
}
🟠404User Not Found
🟠422Unprocessable Entity
Modified at 2026-06-23 16:21:02
Previous
Platform Exports API
Next
Add Platform Credentials
Built with